#!/usr/bin/env bash

setup() {
  DIR="$( cd "$( dirname "$BATS_TEST_FILENAME" )" >/dev/null 2>&1 && pwd )"
  source "$DIR/helpers.sh"
  _setup_env
}

@test "bash autocompletion" {
  run $ABRA autocomplete bash
  assert_success
  assert [ -f "$ABRA_DIR/autocompletion/bash" ]
}

@test "zsh autocompletion" {
  run $ABRA autocomplete zsh
  assert_success
  assert [ -f "$ABRA_DIR/autocompletion/zsh" ]
}

@test "fish autocompletion" {
  run $ABRA autocomplete fish
  assert_success
  assert [ -f "$ABRA_DIR/autocompletion/fish" ]
}

@test "fizsh autocompletion" {
  run $ABRA autocomplete fizsh
  assert_success
  assert [ -f "$ABRA_DIR/autocompletion/zsh" ]
}

teardown(){
  _default_teardown
}
